Subject: Re: Missing ARM TWD Watchdog driver?

From: Boris Lysov <[email-masked]>
Date: Tue, 18 Jan 2022 04:25:12 +0300

Hi Mark and Guenter,

On Mon, 17 Jan 2022 17:02:25 +0000,
Mark Rutland <[email-masked]> wrote:

> On Mon, Jan 17, 2022 at 08:34:57AM -0800, Guenter Roeck wrote:
> > On 1/17/22 8:01 AM, Boris Lysov wrote:
> > > Hello everyone,
> > > 
> > > I stumbled upon the ARM TWD Watchdog driver which seems to be missing (or
> > > I'm just blind).
> > > 
> > > As per commit a33f5c380c4bd3fa5278d690421b72052456d9fe ("Merge tag
> > > 'xfs-5.17-merge-3' of git://git.kernel.org/pub/scm/fs/xfs/xfs-linux"),
> > > multiple device trees declare usage of arm-twd:
> > > 
> > > (...)
> > > 
> > > and it is documented in
> > > Documentation/devicetree/bindings/watchdog/arm,twd-wdt.yaml
> > > 
> > > However I could not find the driver itself. I tried running
> > > case-insensitive grep and ripgrep to no avail. Does this driver actually
> > > exist? Is it gone?
> > > 
> > 
> > I may be missing it, but I do not see any evidence that it ever existed.
> 
> Likewise, AFAICT we added the binding but never the driver.
> 
> Looking at the git history, that schema was introduced in commit:
> 
>   50e02e9a030a9ae3 ("dt-bindings: timer: arm,twd: Convert to json-schema")
> 
> ... and replaced Documentation/devicetree/bindings/timer/arm,twd.txt
> 
> Per:
> 
>   $ git log --follow Documentation/devicetree/bindings/timer/arm,twd.txt
> 
> That was introduced alongside a driver in commit:
> 
>   d8e0364364d333fe ("ARM: smp_twd: add device tree support")
> 
> ... which only introduced a driver for the timer, and not the watchdog,
> as the commit message notes.
> 
> Thanks.
> Mark.

Now I understand there's no ARM TWD Watchdog driver.
TYVM for your replies!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel